<?php

namespace App\Admin\Controllers;

use App\Services\ShopCoachServiceService;
use Slowlyo\OwlAdmin\Controllers\AdminController;

/**
 * 店铺技师服务项目
 *
 * @property ShopCoachServiceService $service
 */
class ShopCoachServiceController extends AdminController
{
	protected string $serviceName = ShopCoachServiceService::class;

	public function list()
	{
		$crud = $this->baseCRUD()
			->filterTogglable(false)
			->headerToolbar([
				$this->createButton('dialog'),
				...$this->baseHeaderToolBar()
			])
			->columns([
				amis()->TableColumn('id', 'ID')->sortable(),
				amis()->TableColumn('coach_id', '技师编号'),
				amis()->TableColumn('shop_service_id', '店铺服务项目编号'),
				amis()->TableColumn('state', '状态'),
				amis()->TableColumn('created_at', admin_trans('admin.created_at'))->type('datetime')->sortable(),
				amis()->TableColumn('updated_at', admin_trans('admin.updated_at'))->type('datetime')->sortable(),
				$this->rowActions('dialog')
			]);

		return $this->baseList($crud);
	}

	public function form($isEdit = false)
	{
		return $this->baseForm()->body([
			amis()->TextControl('coach_id', '技师编号'),
			amis()->TextControl('shop_service_id', '店铺服务项目编号'),
			amis()->TextControl('state', '状态'),
		]);
	}

	public function detail()
	{
		return $this->baseDetail()->body([
			amis()->TextControl('id', 'ID')->static(),
			amis()->TextControl('coach_id', '技师编号')->static(),
			amis()->TextControl('shop_service_id', '店铺服务项目编号')->static(),
			amis()->TextControl('state', '状态')->static(),
			amis()->TextControl('created_at', admin_trans('admin.created_at'))->static(),
			amis()->TextControl('updated_at', admin_trans('admin.updated_at'))->static(),
		]);
	}
}